// HVPlayGIF.h: interface for the CHVPlayGIF class.
//
//////////////////////////////////////////////////////////////////////

#ifndef HVPLAYGIF
#define HVPLAYGIF

#include "HVPicGIF.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class HVPICLIB_API CHVPlayGIF : public CWnd
{
	CHVPicGIF*	m_gif;
	BOOL		m_bPlay, m_bLive, m_bAutoSize;
	HBRUSH		m_brush;
	COLORREF	m_bkgnd, m_trans;

public:
	CHVPlayGIF( COLORREF bkgnd = (DWORD)-1 ); // Autometically
	virtual ~CHVPlayGIF();


	virtual BOOL Create( LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, RECT& rect,
						 CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL )
	{
		return Create( pParentWnd, dwStyle, &rect, nID );
	}

	BOOL		Create( CWnd* parent, DWORD dwStyle = WS_VISIBLE | WS_BORDER,
						const RECT* pRect = NULL, UINT uID = 0xFFFF );

	BOOL		Load( LPCTSTR lpFileName );
	BOOL		Load( CFile& file );

	BOOL		Play();
	BOOL		IsLive() const { return m_bPlay; }
	BOOL		Stop();

private:
	void		DeleteObject();

protected:
	friend DWORD WINAPI PlayProc( LPVOID );
	afx_msg HBRUSH		CtlColor( CDC* pDC, UINT nCtlColor );

	DECLARE_MESSAGE_MAP()
};

#endif