// HVPicFilter.h: interface for the CHVPicFilter class.
//
//////////////////////////////////////////////////////////////////////

#ifndef HVPicFilter_H
#define HVPicFilter_H

#ifdef HVPICLIB_EXPORTS
#include "../HVPicLib.h"
#else
#include "HVPicLib.h"
#endif

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class HVPICLIB_API CHVPicFilter {
	int		m_nWidth, m_nHeight, m_nDepth, m_nWidthBytes;

	LPBYTE	m_pSrc;
	LPBYTE	m_pDst;

	void	(*m_pState)( UINT nCurr );	// prograss, range 0 ~ 100

public:
	CHVPicFilter( HBITMAP bmp, void (*state)( UINT nCurr ) = NULL );
	virtual ~CHVPicFilter();

	BOOL Blur();		// ε巴 ϱ
	BOOL Sharpening();	// īӰ ϱ
	BOOL Laplacian();	// 輱 
	BOOL Embossing();	// 

	BOOL Filtering( int* attrib );
};

#endif