// HVPicGeometry.h: interface for the CHVPicGeometry class.
//
//////////////////////////////////////////////////////////////////////

#ifndef HVPicGeometry_H
#define HVPicGeometry_H

#ifdef HVPICLIB_EXPORTS
#include "../HVPicLib.h"
#else
#include "HVPicLib.h"
#endif

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class HVPICLIB_API CHVPicGeometry {
	int m_nWidth, m_nHeight, m_nDepth, m_nWidthBytes;

	HBITMAP& m_bmp;
	LPBYTE	 m_pSrc;

	void	(*m_pState)( UINT nCurr );	// prograss, range 0 ~ 100

public:
	CHVPicGeometry( HBITMAP& bmp, void (*state)( UINT nCurr ) = NULL );
	virtual ~CHVPicGeometry();

	BOOL	FlipVertical();
	BOOL	FlipHorizontal();
	BOOL	TurnRight();
	BOOL	TurnLeft();
};

#endif