////////////////////////////////////////////////////////////
//
//	JPGFile - A C++ class to allow reading and writing of
//	RGB and Grayscale JPEG images. (actually, it reads all forms
//	that the JPEG lib will decode into RGB or grayscale) and
//	writes only RGB and Grayscale.
//
//	It is based on a Win32 compilation of the IJG V.6b code.
//
////////////////////////////////////////////////////////////
//
//	General Usage:
//
//	Linking usage :
//	It is sometimes necessary to set /NODEFAULTLIB:LIBC (or LIBCD) to use this
//	class. 
//
////////////////////////////////////////////////////////////////
#ifndef JPGHDRH
#define JPGHDRH

#ifdef HVPICLIB_EXPORTS
#	include "../HVPicLib.h"
#else
#	include "HVPicLib.h"
#endif

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class HVPICLIB_API CHVPicJPG : public CHVPicture {
	UINT		m_uQuality;
	BOOL		m_bGrayScale;

	void		(*m_fnGetPixel)( LPBYTE& dst, LPBYTE& src );
	void		(*m_fnSetPixel)( LPBYTE& dst, LPBYTE& src );

public:
	CHVPicJPG( BOOL bAutoDelete = TRUE );

	BOOL Load( CFile& file, UINT uBitPixel = 24 ); // LOAD
	BOOL Save( CFile& file ); // SAVE( 16 or 24 bitmap )

	//		uQuality is, between 0 to 100
	BOOL	SetSaveOption( UINT uQuality = 75, BOOL bGrayScale = FALSE );
	CSize	GetDimension( CFile& file );
};

#endif