#ifndef HVPICLIB_H
#define HVPICLIB_H

#include "HVPicExp.h"

#define WIDTHBYTES(bits)   ((((bits) + 31) >> 5) << 2)

class CHVPicGIF;
class HVPICLIB_API CHVPicture {
	BOOL	m_bAutoDelete;
	DWORD	m_dwData;

protected:
	CString	m_strError;
	HBITMAP	m_hBitmap;
	CSize	m_size;

public:	// constructor & destructor
	CHVPicture( BOOL bAutoDelete = TRUE );
	virtual ~CHVPicture();

public:	// implements
	virtual BOOL	Attach( HBITMAP bmp, BOOL bAutoDelete = TRUE );
	virtual HBITMAP	Detach();

	virtual BOOL DeleteObject();
	CString	GetMessage() const;

	BOOL		 Load( LPCTSTR lpszPath, UINT uBitPixel = 24 );	//
	virtual BOOL Load( CFile& file, UINT uBitPixel = 24 );		// LOAD methods

	BOOL		 Save( LPCTSTR lpszPath );	//
	virtual BOOL Save( CFile& file );		// SAVE methods

	virtual operator HBITMAP() const;
	virtual operator SIZE() const;

	void	SetUserData( DWORD dwData );
	DWORD	GetUserData() const ;

public: // helper methods
	CSize			GetDimension( LPCTSTR lpszPath );
	virtual CSize	GetDimension( CFile& file );

	static HBITMAP	Loader( LPCTSTR lpszPath, UINT uBitPixel, UINT uScale = 100 );
	static HBITMAP	Loader( CFile& file, UINT uBitPixel, UINT uScale = 100 );

	friend class CHVPicGIF;
};


inline void CHVPicture::SetUserData( DWORD dwData )
{
	m_dwData = dwData;
}


inline DWORD CHVPicture::GetUserData() const
{
	return m_dwData;
}


inline CString CHVPicture::GetMessage() const
{
	return m_strError;
}

#endif